#
# spec file for package perl-Module-Load (Version 0.27)
#
# packages are under the same license as the package itself.
#
# Please submit bugfixes or comments to dirk.hartmann@sitter-net.de


# norootforbuild

Name:         perl-Module-Load
Version:      0.32
Release:      lp151.1.1
Autoreqprov:  on
Group:        Development/Libraries/Perl
License:      Artistic-1.0
Summary:      Perl module for easier loading files and modules
Url:          https://metacpan.org/pod/Module::Load
Source:       Module-Load-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
BuildArch:    noarch
BuildRequires:perl-macros
%{perl_requires}

%description
load eliminates the need to know whether you are trying
to require either a file or a module



Authors:
--------
    Jos Boumans <kane@cpan.org>

%debug_package
%prep
%setup -n Module-Load-%{version}
# ---------------------------------------------------------------------------

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test
# ---------------------------------------------------------------------------

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(644,root,root,755)
%doc MANIFEST README

%changelog
* Sun Aug  7 2016 monex@liquid-co.de
- Update to version 0.32
* Sat Sep 15 2012 monex@liquid-co.de
- update to version 0.22
* Wed Mar 16 2011 monex@liquid-co.de
- update to version 0.18
* Mon Dec 24 2007 monex@liquid-co.de
- change default owner to root
* Fri Sep 21 2007 monex@liquid-co.de
- initial build
